package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class TitlePasien
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "TitlePasien_M")
public class TitlePasienVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectJenisKelaminFk")
	@Caption(value="Object Jenis Kelamin")
	private JenisKelaminVO jenisKelamin;

	public void setJenisKelamin(JenisKelaminVO jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	@Column(name = "KdJenisKelamin", nullable = true )
	public JenisKelaminVO getJenisKelamin(){
		return this.jenisKelamin;
	}

	@Column(name = "ObjectJenisKelaminFk", insertable=false,updatable=false)
	private Integer jenisKelaminId;

	@ManyToOne
	@JoinColumn(name = "ObjectStatusPerkawinanFk")
	@Caption(value="Object Status Perkawinan")
	private StatusPerkawinanVO statusPerkawinan;

	public void setStatusPerkawinan(StatusPerkawinanVO statusPerkawinan) {
		this.statusPerkawinan = statusPerkawinan;
	}

	@Column(name = "KdStatusPerkawinan", nullable = true )
	public StatusPerkawinanVO getStatusPerkawinan(){
		return this.statusPerkawinan;
	}

	@Column(name = "ObjectStatusPerkawinanFk", insertable=false,updatable=false)
	private Integer statusPerkawinanId;

	@ManyToOne
	@JoinColumn(name = "ObjectTitleFk")
	@NotNull(message="Object Title Harus Diisi")
	@Caption(value="Object Title")
	private TitlePegawaiVO title;

	public void setitle(TitlePegawaiVO title) {
		this.title = title;
	}

	@Column(name = "KdTitle", nullable = false )
	public TitlePegawaiVO getTitle(){
		return this.title;
	}

	@Column(name = "ObjectTitleFk", insertable=false,updatable=false)
	private Integer titleId;

	@Caption(value="Max Age")
	private short maxAge;

	public void setMaxAge(short maxAge) {
		this.maxAge = maxAge;
	}

	@Column(name = "MaxAge", nullable = true )
	public short getMaxAge(){
		return this.maxAge;
	}

	@Caption(value="Min Age")
	private short minAge;

	public void setMinAge(short minAge) {
		this.minAge = minAge;
	}

	@Column(name = "MinAge", nullable = true )
	public short getMinAge(){
		return this.minAge;
	}

	@Caption(value="Nama Title")
	private String namaTitle;

	public void setNamaTitle(String namaTitle) {
		this.namaTitle = namaTitle;
	}

	@Column(name = "NamaTitle", nullable = false , length = 5)
	public String getNamaTitle(){
		return this.namaTitle;
	}

	@Caption(value="QTitle")
	private Byte qTitle;

	public void setqTitle(Byte qTitle) {
		this.qTitle = qTitle;
	}

	@Column(name = "QTitle", nullable = false )
	public Byte getqTitle(){
		return this.qTitle;
	}

	public Integer getJenisKelaminId() {
		return jenisKelaminId;
	}

	public void setJenisKelaminId(Integer jenisKelaminId) {
		this.jenisKelaminId = jenisKelaminId;
	}

	public Integer getStatusPerkawinanId() {
		return statusPerkawinanId;
	}

	public void setStatusPerkawinanId(Integer statusPerkawinanId) {
		this.statusPerkawinanId = statusPerkawinanId;
	}

	public Integer getTitleId() {
		return titleId;
	}

	public void setitleId(Integer titleId) {
		this.titleId = titleId;
	}


}

